import Head from 'next/head'
import Image from 'next/image'
import { Inter } from 'next/font/google'
import { MainMenu } from '@/shared/components/menu/MainMenu'
import { DragHandleIcon, ChevronRightIcon } from '@chakra-ui/icons'
import { Box, Text, Spacer } from '@chakra-ui/react'
import Link from 'next/link'
import { CategoriasList } from '@/shared/components/categoria/CategoriasList'
import { ProdutosList } from '@/shared/components/produtos/ProdutosList'
import { Rating } from 'react-simple-star-rating'
import { CategoriasContainer } from '@/shared/components/categoria/CategoriasContainer'

export default function Home() {
  return (
    <>
      <Head>
        <title>Teste front</title>
        <meta name='description' content='Generated by create next app' />
        <meta name='viewport' content='width=device-width, initial-scale=1' />
        <link rel='icon' href='/favicon.ico' />
      </Head>
      <main>
        <MainMenu />
        <Box p={10} px={{ base: 12, xl: 40 }} bgColor={'gray.100'}>
          <Box>
            <CategoriasContainer />
            <Box mt={6}>
              <CategoriasList />
            </Box>
          </Box>
          <Box display={'flex'} justifyContent={'center'}>
            <Text fontSize={'xl'} as={'b'} my={12}>
              Produtos Mais Vendidos
            </Text>
          </Box>
          <Box>
            <ProdutosList />
          </Box>
        </Box>
      </main>
    </>
  )
}
